class AppScreenRoutePath {
  final String name;
  final bool isUnknown;

  AppScreenRoutePath.home()
      : name = null,
        isUnknown = false;

  AppScreenRoutePath.details(
    this.name,
  ) : isUnknown = false;

  AppScreenRoutePath.unknown()
      : name = null,
        isUnknown = true;

  bool get isHomePage => name == null;

  bool get isDetailsPage => name != null;
}
